<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<tiles:insert page="/resources/templates/templateGeisa.jsp" flush="true">

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="select"/>
        <%-- pour créer la fenêtre pop up  --%>
        <ether:htmlCss cssFile="jquery-ui-1.8.16.custom/jquery-ui-1.8.16.custom"/>
    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJsp jspFile="initGeisa_script"/>
        <ether:htmlJs jsFile="classesForJQuery/Select"/>
        <ether:htmlJs jsFile="classesForJQuery/Loading"/>
        <ether:htmlJs jsFile="classesForJQuery/Tab"/>
        <%-- pour créer la fenêtre pop up  --%>
        <ether:htmlJs jsFile="library/jquery-ui-1.8.16.custom/js/jquery-ui-1.8.16.custom.min"/>
    </tiles:put>

    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="title.home"/></tiles:put>


    <%-- ****************** CONTENT ****************** --%>
    <tiles:put name="bodytitle" type="string"><spring:message code="title.home"/></tiles:put>

    <tiles:put name="body" type="string">

        <div id="titlePage" class="titlePage"></div><br>

        <div id="tabs" class="containerTabs"></div>

        <div id="information" class="information"> This tool is to draw spectroscopic parameters in fonction of wave number.
            Please select the differents parameters to draw your own graph.
            <br>
            For further information, please download the <a href="#">user manual</a>.
        </div>


        <div id="formulaire" class="formulaire">

                <div id="inputs" class="inputs">
                    <fieldset class="general"><legend><span class="fieldsetGeneralTitle">Inputs :</span></legend>
                        <div id="database" class="database">
                            <fieldset class="options"><legend> <b>Choosing database :</b></legend>
                                <div id="database1" class="containerInsideOptions"></div>
                                <!--Pour l'onglet "Database comparison"   -->
                                <div style="display:none;" id="database2" class="containerInsideOptionsRight"></div>
                            </fieldset>
                        </div>

                        <div id="molecules" class="molecules">
                            <fieldset class="options"><legend> <b>Choosing molecules :</b></legend>
                                <div id="BDD-GEISA2011" class="moleculesGEISA11">
                                </div>
                                <div style="display:none;" id="BDD-GEISAIASI2011" class="moleculesGEISA11">
                                </div>
                                <div style="display:none;" id="BDD-GEISA2003" class="moleculesGEISA11">
                                </div>
                                <div style="display:none;" id="BDD-GEISAIASI2003" class="moleculesGEISA11">
                                </div>
                                <div id="selectAndShow" class="selectAndShowIsotopes">
                                </div>
                            </fieldset>
                        </div>
                    </fieldset>
                </div>



                <div id="basicOptions" class="basicOptions">
                    <fieldset class="general"><legend><span class="fieldsetGeneralTitle">Basic Options :</span></legend>

                        <div id="spectralRange" class="spectralRange">
                            <fieldset class="options"><legend><b><div id="spectralRangeTitre"></div></b></legend>
                                <div id="spectralRangeLower" class="containerInsideOptions"></div>
                                <div id="spectralRangeUpper" class="containerInsideOptions"></div>
                                <div id="samplingStep" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>

                        <div id="intensity" class="intensity">
                            <fieldset class="options"><legend><b>Choosing intensity range (0 to 1E<sup>-16</sup>cm<sup>-1</sup>/molecule.cm<sup>-2</sup>) :</b></legend>
                                <div id="intensityLower" class="containerInsideOptions"></div>
                                <div id="intensityUpper" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>

                        <div id="axeY1Gene" class="axeY1Gene">
                            <fieldset class="options"><legend><a href="#" TITLE="Choose the spectral parameter to draw (intensity, HWM ..etc.) according to wavenumbers."><b>?</b></a>  <b>Choosing line transition parameter :</b></legend>
                                <div id="axeY1" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>

                        <div id="drawingOptionsY1" class="drawingOptionsY1">
                            <fieldset class="options"><legend>  <b>Drawing options :</b></legend>
                            <div id="nbCourbes" class="containerInsideOptions"></div>
                            <div id="scaleY1Titre" class="containerInsideOptions"></div>
                            <div id="scaleY1" class="containerInsideOptions"></div>
                            <div id="typePlotY1" class="containerInsideOptions"></div>
                            <!--Pour l'onglet "Database comparison"   -->
                            <div style="display:none;" id="typePlotDatabase2" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>
                    </fieldset>
                </div>


                <div  id="showAdvancedOptions" class="showAdvancedOptions"></div>

                <div  style="display:none;" id="advancedOptions" class="advancedOptions">
                    <fieldset class="general"><legend><span class="fieldsetGeneralTitle">Advanced Options :</span></legend>
                        <div id="transition" class="transition">
                            <fieldset class="options"><legend><a href="#" TITLE="You can choose an upper and/or a lower vibrational state related to a given molecule. This option is available only when a single molecule is selected. The list of available states depends on the chosen molecule and on the spectral interval. "><b>?</b></a>  <b>Choosing vibrational transitions :</b></legend>
                                <div id="transitionValue" class="transitionValue">
                                    <div  id="transitionUpper" class="containerInsideOptions"></div>
                                    <div  id="transitionLower" class="containerInsideOptions"></div>
                                </div>
                                <div id="transitionReset" class="transitionReset">
                                </div>
                            </fieldset>
                        </div>

                        <div  id="meanValue" class="meanValue">
                            <fieldset class="options"><legend><a href="#" TITLE="To draw average values of the selected parameter, choose a bin-average greater than 0. The bin-average is the step according to which the averages values are calculated."><b>?</b></a>  <b>Parameter mean values :</b></legend>
                                <div id="meanValue1" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>

                        <div id="axeY2Gene" class="axeY2Gene">
                            <fieldset class="options"><legend><a href="#" TITLE="By this option, you can draw a secondary parameter (coupled with a primary one) using the right Y-Axis. "><b>?</b></a>  <b>Choosing secondary line transition parameter :</b></legend>
                                <div id="axeY2Titre" class="containerInsideOptions"></div>
                                <div id="axeY2" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>

                        <div id="drawingOptionsY2" class="drawingOptionsY2">
                            <fieldset class="options"><legend>  <b>Drawing options (secondary parameter) :</b></legend>
                                    <div id="scaleY2Titre" class="containerInsideOptions"></div>
                                    <div id="scaleY2" class="containerInsideOptions"></div>
                                    <div id="typePlotY2Titre" class="containerInsideOptions"></div>
                                    <div id="typePlotY2" class="containerInsideOptions"></div>
                            </fieldset>
                        </div>
                       <!--Pour l'onglet "Database comparison"   -->
                       <div style="display:none;" id="outputDatabaseComparison" class="outputDatabaseComparison">
                            <fieldset class="options"><legend>  <b>Database comparison output choice :</b></legend>
                                    <div id="outputDatabaseComparisonChoice" class="containerInsideOptions"></div>

                            </fieldset>
                        </div>
                    </fieldset>
                </div>


            <div id="boutonSubmit" class="boutonSubmit"></div>
            <!-- image d'attente -->
            <div id="loading" class="loading"></div>
            <!-- <div id="boutonTemp"></div> -->


        </div>







        <div id="graphique">
            <!-- <img id="logotapas" src="resources/images/logo_tapas.jpg" width="80px" alt='logo.tapas.alt' title='logo.tapas.alt'/> -->
        </div>

        <script type="text/javascript">
            //tester le navigateur
            var ua = navigator.userAgent,
                    index,
                    navigateur,
                    version;
            //dans le cas d'internet explorer
            if((index = ua.indexOf('MSIE'))>=0) {
                version = ua.match(/MSIE ([0-9]+(?:\.[0-9]+)*)/)[1];
                var premierCaractere = version.charAt(0);
            }
           // Pour les versions d'Internet Explorer < 9   l'interface ne fonctionne pas
            if  ( premierCaractere  < 9 )
            {
            alert("this tool does not work for Internet Explorer versions less than 9. You can use Internet Explorer from version 9 or other browser like firefox, google chrome");
            }




            var initTexts = $A( "" );

            initTexts["label.submitButton"] = '<spring:message code="label.submitButton"/>';
            var interfaceInit = new InterfaceInit();



            //            function handleOnClickSubmit(result)
            //            {
            //                var bob = jQuery.parseJSON( result ).resultAjax;
            //                alert(bob);
            //                var pathImg = jQuery.parseJSON( result ).pathImg;
            //                alert(pathImg);
            //                var img = $(document.createElement("img"));
            //
            //               //img.attr({src:pathImg, width:"200px", height:"200px"});
            //               img.attr({src:pathImg});
            //
            ////<img src="zrzer" width="100px" height="100px"/>
            //
            //                $("#graphique").append(img);
            //
            //                var selectValue = getSelectValue('trace_select_id');
            //                alert(selectValue);
            //                            }

            //            function onClickSubmit(){
            <%----%>
            //                $.ajax( {
            //                            url: "project?methodName=createUserRequest&check1="+$("#chk-h2o_Bob").attr('checked')+"&check2="+$("#chk-h2o_Bob").val(),
            //                            success:handleOnClickSubmit
            //                        } );
            //            }



            //            var submitButton = new Button( {value:"Submit", parent:$("#boutonSubmit"), id:"button_submit_2", className: "red_button", classNameText:"red_button_text", onClick:onClickSubmit} );


        </script>






    </tiles:put>

</tiles:insert>
